# Update customerReturnReasons
Updates the properties of a customer return reason object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
PATCH businesscentralPrefix/companies({id})/customerReturnReasons({id})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
If-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the customerReturnReason, the customer return reason won't be updated.
## Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that aren't included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.
## Response
If successful, this method returns a ```200 OK``` response code and an updated customerReturnReason object in the response body.
## Example
Request
Here's an example of the request.
```json
PATCH https://{businesscentralPrefix}/api/v2.0/companies({id})/customerReturnReasons({id})
Content-type: application/json
{
  "description": "Wrong item variant"
}
```
Response
Here's an example of the response.
```json
HTTP/1.1 200 OK
Content-type: application/json
{
    "id": "6ea22bf6-a449-ee11-ad0b-a1422c0f7f1f",
    "code": "VARIANT",
    "description": "Wrong item variant"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_customerreturnreason
dynamics_customerreturnreason_get
dynamics_customerreturnreason_delete
POST customerReturnReason<dynamics_customerreturnreason_create>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_customerreturnreason_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_customerreturnreason_update/
